Name: tv-fonts
Summary: Fonts for Xawtv.
Version: 1.0
Release: 1
Source:	http://bytesex.org/xawtv/tv-fonts-%{version}.tar.bz2
Group: User Interface/X
License: GPL
URL: http://bytesex.org/xawtv/
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
Fonts for Xawtv - a TV application for video4linux compliant devices.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
install -m 0644 *.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc

%post
{
  cd /usr/X11R6/lib/X11/fonts/misc
  mkfontdir > /dev/null 2>&1
  cd -
}
 
if [ ".$DISPLAY" != "." ]; then
  xset fp rehash > /dev/null 2>&1
  true
fi
 
%postun
if [ $1 = 0 ]; then
  {
    cd /usr/X11R6/lib/X11/fonts/misc
    /usr/X11R6/bin/mkfontdir > /dev/null 2>&1
    cd -
  }
  if [ ".$DISPLAY" != "." ]; then
    /usr/X11R6/bin/xset fp rehash > /dev/null 2>&1
    true
  fi
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/misc/*

%changelog
* Tue Jan 28 2003 Peter Hanecak <hanecak@megaloman.sk> 1.0-1
- initial spec derived from xawtv spec
